Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1962574 - Review Request: rust-regalloc - Modular register allocation algorithms
Summary: Review Request: rust-regalloc - Modular register allocation algorithms
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1962583
TreeView+ depends on / blocked
 
Reported: 2021-05-20 09:48 UTC by Olivier Lemasle
Modified: 2021-06-11 01:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-11 01:14:13 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Olivier Lemasle 2021-05-20 09:48:29 UTC
Spec URL: https://olem.fedorapeople.org/reviews/rust-regalloc.spec
SRPM URL: https://olem.fedorapeople.org/reviews/rust-regalloc-0.0.31-1.fc34.src.rpm

Description:
Modular register allocation algorithms.

Fedora Account System Username: olem

Comment 1 Olivier Lemasle 2021-05-20 09:48:37 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=68319551

Comment 2 Olivier Lemasle 2021-05-20 09:52:09 UTC
Note: the next release of the crate will have a README: https://github.com/bytecodealliance/regalloc.rs/commit/80af0b6d8736a53ce97077af60afae70adb4d541

Comment 3 Robert-André Mauchin 🐧 2021-05-22 12:56:30 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 4 Olivier Lemasle 2021-05-22 13:04:26 UTC
Thank you for the review!

https://pagure.io/releng/fedora-scm-requests/issue/34191

Comment 5 Jens Petersen 2021-05-24 10:28:56 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-regalloc

Comment 6 Fedora Update System 2021-06-02 21:17:17 UTC
FEDORA-2021-6569569d6f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6569569d6f

Comment 7 Fedora Update System 2021-06-03 19:05:15 UTC
FEDORA-2021-6569569d6f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-6569569d6f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6569569d6f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-06-11 01:14:13 UTC
FEDORA-2021-6569569d6f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.